package jmg.pfc.puzlefotoapp.view;

import jmg.pfc.puzlefotoapp.R;
import android.support.v7.app.ActionBarActivity;
import android.support.v4.app.Fragment;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;



// Aquesta classe ha sigut creada amb l'ajuda del 'wizard' d'eclipse
// Noms es comenten les funcions creades/modificades especificament pel projecte PuzleFotoApp
public class About_Activity extends ActionBarActivity {
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.about_activity);

		if (savedInstanceState == null) {
			getSupportFragmentManager().beginTransaction()
					.add(R.id.container, new PlaceholderFragment()).commit();
		}
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		return true;
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {		
		return super.onOptionsItemSelected(item);
	}

	/**
	 * A placeholder fragment containing a simple view.
	 */
	public static class PlaceholderFragment extends Fragment {

		public PlaceholderFragment() {
		}

		@Override
		public View onCreateView(LayoutInflater inflater, ViewGroup container,
				Bundle savedInstanceState) {
			View rootView = inflater.inflate(R.layout.fragment_about_,container, false);
			return rootView;
		}
		
		// Accions que s'executa dins del fragment quan s'ha creat l'activitat
        @Override
        public void onActivityCreated(Bundle state) {
            super.onActivityCreated(state);
            loadLogo();
        }
        
        
        // Quan es prem el logo de l'aplicaci es finalitza l'activitat.
        private void loadLogo() {
        	ImageView logo = (ImageView)getActivity().findViewById(R.id.imageLogo);      
            logo.setOnClickListener(new View.OnClickListener(){
                @Override
                public void onClick(View v) {                           
                	finishActivity();
                }
            });                    	
        }
        
        // Finalitzaci de l'activitat
		private void finishActivity() {
        	if (getActivity()!=null)
        		getActivity().finish();			
		}
        

	}

}
