package jmg.pfc.puzlefotoapp.view;


import jmg.pfc.puzlefotoapp.R;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.support.v4.app.Fragment;
import android.support.v7.app.ActionBarActivity;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;


//Aquesta classe ha sigut creada amb l'ajuda del 'wizard' d'eclipse
//Noms es comenten les funcions creades/modificades especificament pel projecte PuzleFotoApp
public class MainActivity extends ActionBarActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        if (savedInstanceState == null) {
            getSupportFragmentManager().beginTransaction()
                    .add(R.id.container, new PlaceholderFragment())
                    .commit();
        }
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {        
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        return super.onOptionsItemSelected(item);
    }

    public void onBackPressed() {
    	// No volem que pugui sortir 
    }
    
    /**
     * A placeholder fragment containing a simple view.
     */
    public static class PlaceholderFragment extends Fragment {
    	Intent act;
    	protected int delayLogo = 1750;    	
    	
        public PlaceholderFragment() {
        }

        @Override
        public View onCreateView(LayoutInflater inflater, ViewGroup container,
                Bundle savedInstanceState) {
            View rootView = inflater.inflate(R.layout.fragment_main, container, false);
            return rootView;
        }
        
        
        @Override
        public void onActivityCreated(Bundle state) {
            super.onActivityCreated(state);
            logoTemp();
        }
        
                
        // Al cap d'una estona es crida a la segent activitat.
        private void logoTemp() {
        	
        	Handler handler = new Handler();
            handler.postDelayed(new Runnable() {
                public void run() {
                	act = new Intent(getActivity().getApplicationContext(), PuzleSelection_Activity.class);
                	startActivity(act);
                	finishActivity();                	
                }
            }, delayLogo);
        	
        	
        }
        
        // Es finalitza l'activiatat
		private void finishActivity() {
			if (act!=null)
				act=null;

        	if (getActivity()!=null)
        		getActivity().finish();			
		}
        
        
    }
}
