package jmg.pfc.puzlefotoapp.view.playpuzletools;

import jmg.pfc.puzlefotoapp.R;
import android.content.Context;
import android.media.MediaPlayer;

// Classe per generar els sons de l'aplicaci
public class PuzleSounds {
	MediaPlayer mediaPlayer;
	Context context;
	boolean mute;
	
	public PuzleSounds (Context context) {
		this.context = context;
		mediaPlayer = null;
		mute = false;
	}
	
	// So que s'escolta al moure una pea
	public void playPieceSound() {
		play(R.raw.pj01783);
	}
	
	// So que s'escolta al resoldre un puzle.
	public void playWinnerSound() {
		play(R.raw.sim688);		
	}
	
	// Activaci/Desactivaci del so.
	public void changeMute() {
		mute=!mute;
	}

	private void play(int sound)
	{	
		if (!mute) {
			// Si fa un reset del so abans de tornar-lo a generar
			if (mediaPlayer != null) {
				mediaPlayer.reset();
				mediaPlayer.release();
			}
			// Es genera el so
			mediaPlayer = MediaPlayer.create(context, sound);
			mediaPlayer.start();
		}
	}
}
