package jmg.pfc.puzlefotoapp.definitions;

// Classe que representa el tipus de puzle
public class PuzleType {
	
	private int type;
	
	public static final int NULL_TYPE=0;	
	// Puzle de tipus educatiu
	public static final int EDUCATIONAL_TYPE=1;
	// Puzle a partir d'una foto	
	public static final int PHOTOGRAPHY_TYPE=2;
	// Puzle a partir d'una imatge de la galeria	
	public static final int GALLERY_TYPE=3;	
	// Puzle educatiu que s'ha emmagatzemat a la base de dades	
	public static final int SAVEDGAME_EDUCATIONAL=4;
	// Puzle a partir de foto que s'ha emmagatzemat a la base de dades	
	public static final int SAVEDGAME_PHOTOGRAPHY=5;	
	// Puzle a partir d'una imatge de la galeria que s'ha emmagatzemat a la base de dades.	
	public static final int SAVEDGAME_GALLERY=6;	

	public PuzleType () {
		type = NULL_TYPE;
	}

	public PuzleType (int type) {
		setType(type);
	}	
	
	public void setType (int type) {
		this.type = type;
	}
	
	public int getType() {
		return type;
	}
}


 
