package jmg.pfc.puzlefotoapp.view.playpuzletools;

import jmg.pfc.puzlefotoapp.R;
import android.app.AlertDialog;
import android.app.Dialog;
import android.content.DialogInterface;
import android.os.Bundle;
import android.support.v4.app.DialogFragment;


// Classe que mostra un dialeg amb un text explicatiu sobre el puzle educatiu que s'ha resolt.
public class EducationalDialog extends DialogFragment {
	
	private String title;
	private String message;
	
	public void setInfo(String title, String message) {
		this.title = title;
		this.message = message;
	}
	
	
    @Override
    public Dialog onCreateDialog(Bundle savedInstanceState) {
 
        AlertDialog.Builder builder =
                new AlertDialog.Builder(getActivity());
 
        builder.setMessage(message)
               .setTitle(title)
               .setPositiveButton(getResources().getString(R.string.text_ok), new DialogInterface.OnClickListener() {
                   public void onClick(DialogInterface dialog, int id) {
                       dialog.cancel();
                   }
               });
 
        return builder.create();
    }

}
